Subject: [Fwd: VR13/VR14 open issues]

From: "Robertson, Rocke" <[email-masked]>
Date: Wed, 17 Feb 1999 16:15:11 -0500

Im not a TCP/IP developer, but are ports numbers  not limited to 64k ?

My 2 cents....

Ayamura Kikuchi wrote:

> > SunOS 4.1
> > ---------
> > It seems some of the compiler/runtime on the system don't define RAND_MAX.
> > The value of RAND_MAX is critical to the code trying to fight PASV port
> > stealing.  Right now, I've got a suggestion to hardwire a value of 32767
> > (0x7FFF) in the src/config/config.s41 file; but I question if that's known
> > to be the correct value (it's the value in one of the runtimes is all I
> > know for sure).
>
> It may be better we use a value of 2147483647 as the value of RAND_MAX.
> That of 32767 (0x7FFF) is too small on SunOS4.
>
> -- ayamura

--
Rocke Robertson
PWGSC/GTIS
(613)991-2604
[email-masked]